

var Pusher = require('pusher');

var pusher = new Pusher({
  appId: '1076741',
  key: '65e7589f057bcc244d11',
  secret: 'e66614538fd4834323a6',
  cluster: 'eu',
  encrypted: true
});

const readline = require('readline');
const rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout,
  prompt: '> '
});

rl.prompt();

rl.on('line', (line) => {
    words = line.trim().split(' ');
    switch (words[0]) {
        case 'p':
            pusher.trigger('ranking', 'points', {
              'points': parseInt(words[1]),
              'team': words.slice(2).join(' ')
            });
            console.log('Added ' + words[1] + 'points to "' + words.slice(2).join(' ') + '"')
            break;
        case 'undo':
            pusher.trigger('ranking', 'undo', {});
            console.log('Triggered undo action.')
        case 'reset':
            pusher.trigger('ranking', 'reset', {});
            console.log('Triggered reset action.')
    default:
        console.log(`Incorrect command: '${line.trim()}'`);
        break;
    }
    rl.prompt();
}).on('close', () => {
    console.log('Exiting...');
    process.exit(0);
});
